Commit f45bdb8f authored by Youhei SASAKI's avatar Youhei SASAKI

Imported Upstream version 0.6.1

parent 698f53bb
......@@ -10,7 +10,6 @@ _build
.bundle
.config
.yardoc
Gemfile.lock
InstalledFiles
_yardoc
coverage
......@@ -22,3 +21,4 @@ spec/reports
test/tmp
test/version_tmp
tmp
Gemfile.lock
sudo: false
language: ruby
rvm:
- 2.0.0
- 2.1
- 2.2
- 2.1.8
- 2.2.4
- 2.3.0
- ruby-head
before_install:
- gem update --system
- gem update bundler --no-document
script: bundle exec rake spec
source 'https://rubygems.org'
gemspec
gem 'rspec', '~> 3.0.0.beta2'
PATH
remote: .
specs:
atig (0.5.0)
net-irc
oauth
sqlite3 (>= 1.3.2)
twitter-text (~> 1.7.0)
GEM
remote: https://rubygems.org/
specs:
coveralls (0.8.3)
json (~> 1.8)
rest-client (>= 1.6.8, < 2)
simplecov (~> 0.10.0)
term-ansicolor (~> 1.3)
thor (~> 0.19.1)
diff-lcs (1.2.5)
docile (1.1.5)
domain_name (0.5.25)
unf (>= 0.0.5, < 1.0.0)
http-cookie (1.0.2)
domain_name (~> 0.5)
json (1.8.3)
mime-types (2.6.2)
net-irc (0.0.9)
netrc (0.11.0)
oauth (0.4.7)
rake (10.4.2)
rest-client (1.8.0)
http-cookie (>= 1.0.2, < 2.0)
mime-types (>= 1.16, < 3.0)
netrc (~> 0.7)
rspec (3.0.0)
rspec-core (~> 3.0.0)
rspec-expectations (~> 3.0.0)
rspec-mocks (~> 3.0.0)
rspec-core (3.0.4)
rspec-support (~> 3.0.0)
rspec-expectations (3.0.4)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.0.0)
rspec-mocks (3.0.4)
rspec-support (~> 3.0.0)
rspec-support (3.0.4)
simplecov (0.10.0)
docile (~> 1.1.0)
json (~> 1.8)
simplecov-html (~> 0.10.0)
simplecov-html (0.10.0)
sqlite3 (1.3.11)
term-ansicolor (1.3.2)
tins (~> 1.0)
thor (0.19.1)
tins (1.6.0)
twitter-text (1.7.0)
unf (~> 0.1.0)
unf (0.1.4)
unf_ext
unf_ext (0.0.7.1)
PLATFORMS
ruby
DEPENDENCIES
atig!
bundler
coveralls
rake
rspec (~> 3.0.0.beta2)
BUNDLED WITH
1.10.6
Atig.rb - Another Twitter Irc Gateway
===========================================
[![Gem Version](https://badge.fury.io/rb/atig.png)](https://rubygems.org/gems/atig) [![Code Climate](https://codeclimate.com/github/atig/atig.png)](https://codeclimate.com/github/atig/atig) [![Build Status](https://travis-ci.org/atig/atig.png)](https://travis-ci.org/atig/atig)
[![Gem Version](https://badge.fury.io/rb/atig.svg)](https://rubygems.org/gems/atig) [![Build Status](https://travis-ci.org/atig/atig.svg)](https://travis-ci.org/atig/atig) [![Coverage Status](https://coveralls.io/repos/github/atig/atig/badge.svg?branch=master)](https://coveralls.io/github/atig/atig?branch=master) [![Code Climate](https://codeclimate.com/github/atig/atig.svg)](https://codeclimate.com/github/atig/atig)
OVERVIEW
--------
......
......@@ -18,12 +18,13 @@ Gem::Specification.new do |spec|
spec.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
spec.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
spec.add_dependency 'sqlite3', ['>= 1.3.2']
spec.add_dependency 'net-irc', ['>= 0']
spec.add_dependency 'oauth', ['>= 0']
spec.add_dependency 'twitter-text', ['~> 1.7.0']
spec.add_dependency 'sqlite3', '>= 1.3.2'
spec.add_dependency 'net-irc'
spec.add_dependency 'oauth'
spec.add_dependency 'twitter-text'
spec.add_development_dependency 'bundler'
spec.add_development_dependency 'rake'
spec.add_development_dependency 'rspec'
spec.add_development_dependency 'coveralls'
end
module Atig
VERSION = "0.5.0"
VERSION = "0.6.1"
end
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment